opennlp-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kinow <...@git.apache.org>
Subject [GitHub] opennlp-site pull request #14: OPENNLP-1067: Use variables in jbake.properti...
Date Fri, 19 May 2017 11:01:07 GMT
Github user kinow commented on a diff in the pull request:

    https://github.com/apache/opennlp-site/pull/14#discussion_r117456370
  
    --- Diff: src/main/jbake/content/maven-dependency.ad ---
    @@ -35,59 +34,75 @@ all transient dependencies are resolved automatically.
     
     To use the OpenNLP Tools define the following dependency:
     
    -
    -    <dependency>
    -      <groupId>org.apache.opennlp</groupId>
    -      <artifactId>opennlp-tools</artifactId>
    -      <version>1.7.2</version>
    -    </dependency>
    -
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<dependency>
    +  <groupId>org.apache.opennlp</groupId>
    +  <artifactId>opennlp-tools</artifactId>
    +  <version>{opennlp_version}</version>
    +</dependency>
    +----
     
     ## OpenNLP UIMA Annotators Dependency
     
     To use the OpenNLP UIMA Annotators define the following dependency:
     
    -    <dependency>
    -      <groupId>org.apache.opennlp</groupId>
    -      <artifactId>opennlp-uima</artifactId>
    -      <version>1.7.2</version>
    -    </dependency>
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<dependency>
    +  <groupId>org.apache.opennlp</groupId>
    +  <artifactId>opennlp-uima</artifactId>
    +  <version>{opennlp_version}</version>
    +</dependency>
    +----
     
     ## OpenNLP Morfologik AddOn Dependency
     
     To use the OpenNLP Morfologik-Addon define the following dependency:
     
    -    <dependency>
    -      <groupId>org.apache.opennlp</groupId>
    -      <artifactId>opennlp-morfologik-addon</artifactId>
    -      <version>1.7.2</version>
    -    </dependency>
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<dependency>
    +  <groupId>org.apache.opennlp</groupId>
    +  <artifactId>opennlp-morfologik-addon</artifactId>
    +  <version>{opennlp_version}</version>
    +</dependency>
    +----
     
     ## OpenNLP Brat Annotator Dependency
     
     To use the OpenNLP UIMA Annotators define the following dependency:
     
    -    <dependency>
    -      <groupId>org.apache.opennlp</groupId>
    -      <artifactId>opennlp-brat-annotator</artifactId>
    -      <version>1.7.2</version>
    -    </dependency>
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<dependency>
    +  <groupId>org.apache.opennlp</groupId>
    +  <artifactId>opennlp-brat-annotator</artifactId>
    +  <version>{opennlp_version}</version>
    +</dependency>
    +----
     
     ## OpenNLP Tools SNAPSHOT Dependency
     
     To use the current trunk version define the following dependency:
     
    -    <dependency>
    -      <groupId>org.apache.opennlp</groupId>
    -      <artifactId>opennlp-tools</artifactId>
    -      <version>1.7.3-SNAPSHOT</version>
    -    </dependency>
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<dependency>
    +  <groupId>org.apache.opennlp</groupId>
    +  <artifactId>opennlp-tools</artifactId>
    +  <version>{opennlp_next_version}</version>
    +</dependency>
    +----
     
     The SNAPSHOT dependency requires the following repository:
     
    -    <repositories>
    -      <repository>
    -        <id>apache opennlp snapshot</id>
    -        <url>https://repository.apache.org/content/repositories/snapshots/</url>
    -      </repository>
    -    </repositories>
    \ No newline at end of file
    +[source,xml,indent=0,subs=attributes+]
    +----
    +<repositories>
    +  <repository>
    +    <id>apache opennlp snapshot</id>
    +    <url>https://repository.apache.org/content/repositories/snapshots/</url>
    +  </repository>
    +</repositories>
    +----
    --- End diff --
    
    Doing that right now...


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message